<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'hub', language 'en_us_k12', version '2.6'.
 *
 * @package     hub
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advertise'] = 'Advertise this class for people to join';
$string['advertiseon'] = 'Advertise this class on {$a}';
$string['advertiseonhub'] = 'Advertise this class on a hub';
$string['advertiseonmoodleorg'] = 'Advertise this class on moodle.org';
$string['advertisepublication_help'] = 'Advertising your class on a community hub server allows people to find this class and come here to enroll.';
$string['allowglobalsearch'] = 'Publish this hub and allow global search of all classes';
$string['audience_help'] = 'Select the intended audience for the class.';
$string['communityremoved'] = 'That class link has been removed from your list';
$string['contributornames_help'] = 'You can use this field to list the names of anyone else who contributed to this class.';
$string['coursemap'] = 'Class map';
$string['coursepublished'] = 'This class has been published successfully on \'{$a}\'.';
$string['courseshortname_help'] = 'Enter a short name for your class. It does not need to be unique.';
$string['coursesnumber'] = 'Number of classes ({$a})';
$string['courseunpublished'] = 'The class {$a->courseeshortname} is no longer published on {$a->hubname}.';
$string['courseurl'] = 'Class URL';
$string['courseurl_help'] = 'It is the URL of your class. This URL is displayed as a link in a search result.';
$string['creatorname_help'] = 'The creator is the class creator.';
$string['creatornotes_help'] = 'Creator notes are a guide for teachers on how to use the class.';
$string['demourl_help'] = 'Enter the demo URL of your class. By default it is the URL of your class. The demo URL is displayed as a link in a search result.';
$string['description_help'] = 'This description text will be showing in the class listing on the hub.';
$string['detectednotexistingpublication'] = '{$a->hubname} is listing a class that does not exist any more. Alert this hub administrator that the publication number {$a->id} should be removed.';
$string['educationallevel_help'] = 'Select the most appropriate educational level that the class fits into.';
$string['errorcourseinfo'] = 'An error occurred when retrieving class metadata from the hub ({$a}). Please try again to retrieve the class metadata from the hub by reloading this page later. Otherwise you can decide to continue the registration process with the following default metadata.';
$string['errorcoursepublish'] = 'An error occurred during the class publication ({$a}). Please try again later.';
$string['errorunpublishcourses'] = 'Due to an unexpected error, the classes could not be deleted on the hub. Try again later (recommended) or contact the hub administrator.';
$string['existingscreenshotnumber'] = '{$a} existing screenshots. You will be able to see these screenshots on this page, only once the hub administrator enables your class.';
$string['geolocation_help'] = 'In future we may provide location-based searching. If you want to specify the location for your class use a latitude/longitude value here (eg: -31.947884,115.871285).  One way to find this is to use Google Maps.';
$string['language_help'] = 'The main language of this class.';
$string['licence_help'] = 'Select the license you want to distribute your class under.';
$string['modulenumberaverage'] = 'Average number of class modules ({$a})';
$string['name_help'] = 'This name will be showing in the class listing.';
$string['nosearch'] = 'Don\'t publish hub or classes';
$string['notregisteredonhub'] = 'Your administrator needs to register this site with at least one hub before you can publish a class. Contact your site administrator.';
$string['publicationinfo'] = 'Class publication information';
$string['publisheremail_help'] = 'The publisher email address allows the hub administrator to alert the publisher about any changes to the status of the published class.';
$string['publishername_help'] = 'The publisher is the person or organisation that is the official publisher of the class.  Unless you are publishing it on behalf of someone else, it will usually be you.';
$string['registeredcourses'] = 'Registered classes';
$string['screenshots_help'] = 'Any screenshots of the class will be displayed in search results.';
$string['selecthubinfo'] = 'A community hub is a server that lists classes. You can only publish your classes on hubs that this Moodle site is registered with.  If the hub you want is not listed below, please contact your site administrator.';
$string['sendingcourse'] = 'Sending class';
$string['sendingsize'] = 'Please wait the class file is uploading ({$a->total}Mb)...';
$string['share'] = 'Share this class for people to download';
$string['shareon'] = 'Upload this class to {$a}';
$string['shareonhub'] = 'Upload this class to a hub';
$string['sharepublication_help'] = 'Uploading this class to a community hub server will enable people to download it and install it on their own Moodle sites.';
$string['subject_help'] = 'Select the main subject area which the class covers.';
$string['tags_help'] = 'Tags help to further categorize your class and help it to be found. Please use simple, meaningful words and separate them with a comma. Example: math, algebra, geometry';
$string['unpublishalladvertisedcourses'] = 'Remove all classes currently being advertised on a hub';
$string['unpublishalluploadedcourses'] = 'Removed all classes that were uploaded to a hub';
$string['unpublishconfirmation'] = 'Do you really want to remove the class \\"{$a->courseeshortname}\\" from the hub \\"{$a->hubname}\\"';
$string['unregisterconfirmation'] = 'You are about to unregister this site from the hub {$a}.  Once you disconnect from it, you will not be able to manage any classes you left there.  Are you sure you want to unregister?';
$string['xmlrpcdisabledcommunity'] = 'The XML-RPC extension is not enabled on the server. You can not search and download classes.';
$string['xmlrpcdisabledpublish'] = 'The XML-RPC extension is not enabled on the server. You can not publish classes or manage published classes.';
