<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz', language 'en_us_k12', version '2.6'.
 *
 * @package     quiz
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addingquestions'] = '<p>This side of the page is where you manage your database of questions. Questions are stored in categories to help you keep them organised, and can be used by any quiz in your class or even other classes if you choose to \'publish\' them.</p>
<p>After you select or create a question category you will be able to create or edit questions. You can select any of these questions to add to your quiz over on the other side of this page.</p>';
$string['backtocourse'] = 'Back to the class';
$string['coursetestmanager'] = 'Class Test Manager format';
$string['downloadextra'] = '(file is also stored in the class files in the /backupdata/quiz folder)';
$string['emailconfirmbody'] = 'Dear {$a->username},

Thank you for submitting your answers to
\'{$a->quizname}\'
in class \'{$a->coursename}\'
at {$a->submissiontime}.

This message confirms that we have safely received your answers.

You can access this quiz at {$a->quizurl}.';
$string['emailnotifybody'] = 'Dear {$a->username},

{$a->studentname} has completed
\'{$a->quizname}\' ({$a->quizurl})
in class \'{$a->coursename}\'

You can review this attempt at {$a->quizreviewurl}.';
$string['emailoverduebody'] = 'Dear {$a->studentname},

You started an attempt at \'{$a->quizname}\'
in class \'{$a->coursename}\', but you never submitted it. It should have been
submitted by {$a->attemptduedate}.

If you would still like to submit this attempt, please go to
{$a->attemptsummaryurl} and click the submit button.
You must do this before {$a->attemptgraceend}
otherwise your attempt will not be counted.';
$string['groupsnone'] = 'There are no groups in this class';
$string['importfilearea'] = 'Import from file already in class files...';
$string['modulename_help'] = 'The quiz activity enables a teacher to create quizzes comprising questions of various types, including multiple choice, matching, short-answer and numerical.

The teacher can allow the quiz to be attempted multiple times, with the questions shuffled or randomly selected from the question bank. A time limit may be set.

Each attempt is marked automatically, with the exception of essay questions, and the grade is recorded in the gradebook.

The teacher can choose when and if hints, feedback and correct answers are shown to students.

Quizzes may be used

* As class exams
* As mini tests for reading assignments or at the end of a topic
* As exam practice using questions from past exams
* To deliver immediate feedback about performance
* For self-assessment';
$string['publishedit'] = 'You must have permission in the publishing class to add or edit questions in this category';
$string['questionnonav'] = '<span class=\\"accesshide\\">Question </span>{$a->number}<span class=\\"accesshide\\"> {$a->attributes}</span>';
$string['questionnonavinfo'] = '<span class=\\"accesshide\\">Information </span>{$a->number}<span class=\\"accesshide\\"> {$a->attributes}</span>';
$string['savedfromdeletedcourse'] = 'Saved from deleted class \\"{$a}\\"';
$string['usedcategorymoved'] = 'This category has been preserved and moved to the site level because it is a published category still in use by other classes.';
$string['youneedtoenrol'] = 'You need to enroll in this class before you can attempt this quiz';
